Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000926Core InformSource text and punctuationpublic2012-05-26 17:232014-05-07 07:33
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000926: It is impossible to include fancy dashes in strings without using Unicode substitutions
DescriptionThe en dash in the attached source's story headline is converted to a hyphen by Inform (WI 5.10), which is problematic because Unicode substitutions aren't allowed there.
Minimal Source Text To Reproduce
The story headline is "Adventures in [']68–79".

The story description is "This is a sentence[unicode 8212]with a parenthetical[unicode 8212]kind 
of like how William Shatner speaks."

There is room.
Additional InformationExtracted from 0000913 per 0000913:0001667. This may well be a non-bug, especially if 0000913 is resolved as requested.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000913closedgraham It is impossible to include Unicode substitutions—and therefore fancy dashes—in bibliographic metadata 

-  Notes
(0002534)
graham (administrator)
2014-03-09 01:56

See the fix for 0000913.

- Issue History
Date Modified Username Field Change
2012-05-26 17:23 EmacsUser New Issue
2012-05-26 17:23 EmacsUser Issue generated from 0000913
2012-05-26 17:23 EmacsUser Relationship added related to 0000913
2012-05-26 17:25 EmacsUser Reporter EmacsUser => NYKevin
2012-05-26 17:25 EmacsUser Status new => confirmed
2012-05-26 17:25 EmacsUser Additional Information Updated View Revisions
2014-03-09 01:56 graham Note Added: 0002534
2014-03-09 01:56 graham Status confirmed => resolved
2014-03-09 01:56 graham Resolution open => fixed
2014-03-09 01:56 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker